Subject: Trying base32

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 14 Apr 2005 00:26:47 -0700

Out of curiosity, I cooked up a version of git which used a flat base32, 
instead of base64, repository.  The goal of this is, of course, to 
provide for compatibility with case-deficient filesystems.

The answer is that the base32 format is measurably slower than base64, 
with a cache-hot checkout time of 19.19 seconds (as compared to 15.68 
for base64.)  So the length of the filenames does matter.

Anyway, I have uploaded the base32 patch onto kernel.org, and I have 
moved all the git patches into:

ftp://ftp.kernel.org/pub/linux/kernel/people/hpa/git/

At this point, though, I would recommend the base64-flat patch.

	-hpa